Opened 3 years ago

Last modified 3 months ago

#11792 needs_info defect

Clean up or remove the FLINT QS spkg

Reported by: leif Owned by: tbd
Priority: minor Milestone: sage-6.2
Component: packages: standard Keywords: quadratic sieve flintqs
Cc: jpflori, Snark Merged in:
Authors: Reviewers:
Report Upstream: N/A Work issues:
Branch: Commit:
Dependencies: Stopgaps:

Description

This is a follow-up to #11351; see this and this comment there.

At least FLINT 1.x ships with a (presumably more recent) version of the quadratic sieve program, so rather than cleanung up the separate flintqs package, one could change the FLINT spkg to also build and install this program.

Change History (7)

comment:1 Changed 22 months ago by kcrisman

See also #9544 and #12855, for reference.

comment:2 Changed 13 months ago by jpflori

  • Cc jpflori added

comment:3 Changed 13 months ago by kcrisman

See also #12173, upgrading FLINT to 2.3. Does the qsieve there do what we need?


Also note #14202, which is orthogonal but also about qsieve, so it should be pointed out.

comment:4 Changed 12 months ago by Snark

  • Cc Snark added
  • Status changed from new to needs_info

Puttins as need-info, since there's a pending question: does flint 2.3 make it possible to get flintqs out?

comment:5 Changed 12 months ago by jpflori

I think FLINT 2.3 provides a quadratic sieve implementation but only for two limbs integers. See:

So I guess the answer is currently no. We'll have to wait until Bill or someone else ports the old code.

(FLINT 1.6 included a quadratic sieve to build as a separate executable, see:

as did FLINT 1.5.2 (latest version included in Sage):

comment:6 Changed 8 months ago by jdemeyer

  • Milestone changed from sage-5.11 to sage-5.12

comment:7 Changed 3 months ago by vbraun_spam

  • Milestone changed from sage-6.1 to sage-6.2
Note: See TracTickets for help on using tickets.